> ## Name

> cgD3D9GetTextureParameter - get the value of a texture parameter

> ## Synopsis

>     #include <Cg/cgD3D9.h>

>     IDirect3DBaseTexture9 * cgD3D9GetTextureParameter( CGparameter param );

> ## Parameters

> param
>   The texture parameter for which the D3D texture object will be retrieved.

> ## Return Values

> Returns a pointer to the D3D texture to which param was set.

> Return NULL if param has not been set.

> ## Description

> cgD3D9GetTextureParameter returns the D3D texture pointer to which a texture parameter was set using cgD3D9SetTextureParameter. If the parameter has not been set, the NULL will be returned.

> ## Examples

>     // param is a texture parameter defined elsewhere...

>     HRESULT hr = cgD3D9SetTexture( param, cgD3D9GetTextureParameter( param ) );

> ## Errors

> None.

> ## History

> cgD3D9GetTextureParameter was introduced in Cg 1.5.

> ## See Also

> cgD3D9SetTextureParameter